apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: eventhub-event-listener-p0
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: eventhub-event-listener-p0
    spec:
      containers:
        - name: eventhub-event-listener-p0
          image: team6sky.azurecr.io/eventhublistener:latest
          env:
            - name: EVENTHUBCONNSTRING
              value: "Endpoint=sb://event-tub.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=WwZyn17CuNQrwpWMVliLTgyqGN0n+b+B8DpSReXOUWk="
            - name: EVENTHUBPATH
              value: orders2
            - name: PARTITIONKEY
              value: '0'
            - name: TEAMNAME
              value: team6-LDS0318
            - name: PROCESSENDPOINT
              value: http://fulfillorderack-container.default:8080/v1/order
---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: eventhub-event-listener-p1
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: eventhub-event-listener-p1
    spec:
      containers:
        - name: eventhub-event-listener-p1
          image: team6sky.azurecr.io/eventhublistener:latest
          env:
            - name: EVENTHUBCONNSTRING
              value: "Endpoint=sb://event-tub.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=WwZyn17CuNQrwpWMVliLTgyqGN0n+b+B8DpSReXOUWk="
            - name: EVENTHUBPATH
              value: orders2
            - name: PARTITIONKEY
              value: '1'
            - name: TEAMNAME
              value: team6-LDS0318
            - name: PROCESSENDPOINT
              value: http://fulfillorderack-container.default:8080/v1/order
---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: eventhub-event-listener-p2
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: eventhub-event-listener-p2
    spec:
      containers:
        - name: eventhub-event-listener-p2
          image: team6sky.azurecr.io/eventhublistener:latest
          env:
            - name: EVENTHUBCONNSTRING
              value: "Endpoint=sb://event-tub.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=WwZyn17CuNQrwpWMVliLTgyqGN0n+b+B8DpSReXOUWk="
            - name: EVENTHUBPATH
              value: orders2
            - name: PARTITIONKEY
              value: '2'
            - name: TEAMNAME
              value: team6-LDS0318
            - name: PROCESSENDPOINT
              value: http://fulfillorderack-container.default:8080/v1/order

---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: eventhub-event-listener-p3
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: eventhub-event-listener-p3
    spec:
      containers:
        - name: eventhub-event-listener-p3
          image: team6sky.azurecr.io/eventhublistener:latest
          env:
            - name: EVENTHUBCONNSTRING
              value: "Endpoint=sb://event-tub.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=WwZyn17CuNQrwpWMVliLTgyqGN0n+b+B8DpSReXOUWk="
            - name: EVENTHUBPATH
              value: orders2
            - name: PARTITIONKEY
              value: '3'
            - name: TEAMNAME
              value: team6-LDS0318
            - name: PROCESSENDPOINT
              value: http://fulfillorderack-container.default:8080/v1/order

---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: eventhub-event-listener-p4
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: eventhub-event-listener-p4
    spec:
      containers:
        - name: eventhub-event-listener-p4
          image: team6sky.azurecr.io/eventhublistener:latest
          env:
            - name: EVENTHUBCONNSTRING
              value: "Endpoint=sb://event-tub.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=WwZyn17CuNQrwpWMVliLTgyqGN0n+b+B8DpSReXOUWk="
            - name: EVENTHUBPATH
              value: orders2
            - name: PARTITIONKEY
              value: '4'
            - name: TEAMNAME
              value: team6-LDS0318
            - name: PROCESSENDPOINT
              value: http://fulfillorderack-container.default:8080/v1/order

